#ifndef TT_PROGRESS_H_
#define TT_PROGRESS_H_

#include "tt_window.h"

// -- TtProgress ---------------------------------------------------------
class TtProgress : public TtWindow {
protected:
  virtual DWORD  GetStyle( void );
  virtual DWORD  GetExtendedStyle( void );
  virtual PCTSTR GetClassName( void );

public:
  explicit TtProgress( void );
  explicit TtProgress( bool is_smooth );

  int GetMaximum( void );
  int SetMaximum( unsigned short max );

  int GetAmount( void );
  int SetAmount( unsigned short position );

  int SetStep( int step );
  int StepUp( int amount );
  int StepIt( void );

private:
  bool is_smooth_;
};

#endif // TT_PROGRESS_H_
